Skip to main content
PATCH
/
v1
/
connector-mappings
/
{connectorMappingId}
Update connector mapping
curl --request PATCH \
  --url https://api.openworklabs.com/v1/connector-mappings/{connectorMappingId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "selector": "<string>",
  "pluginId": "<string>",
  "autoAddToPlugin": true,
  "config": {}
}
'
import requests

url = "https://api.openworklabs.com/v1/connector-mappings/{connectorMappingId}"

payload = {
"selector": "<string>",
"pluginId": "<string>",
"autoAddToPlugin": True,
"config": {}
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({selector: '<string>', pluginId: '<string>', autoAddToPlugin: true, config: {}})
};

fetch('https://api.openworklabs.com/v1/connector-mappings/{connectorMappingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ok": true,
  "item": {
    "id": "<string>",
    "connectorInstanceId": "<string>",
    "connectorTargetId": "<string>",
    "connectorType": "github",
    "remoteId": "<string>",
    "selector": "<string>",
    "pluginId": "<string>",
    "autoAddToPlugin": true,
    "mappingConfigJson": {},
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}
{
"error": "<string>",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
{
"error": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Path Parameters

connectorMappingId
string<typeid>
required

Den TypeID with 'cmp_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^cmp_.*

Body

application/json
selector
string
Required string length: 1 - 255
objectType
enum<string>
Available options:
skill,
agent,
command,
tool,
mcp,
hook,
context,
custom
pluginId
string<typeid> | null

Den TypeID with 'plg_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^plg_.*
autoAddToPlugin
boolean
config
object

Response

Connector mapping updated successfully.

ok
boolean
required
item
object
required